# CSS-Minifier

------

This is a standalone, tiny, fast and simple CSS minifier. It does **not** require Python, Node, npm, Go or any other framework. It also does **not** require any installed DLLs or software. It just runs on its own.

The story of why I built this tool is here: https://iquilezles.org/code/cssminifier/cssminifier.htm

## Usage

```C:\> cssMinifier.exe inpout.css output.css```

## Details

Now, cssMinifier doesn't combine classes, replace local variables, or do other transformations; all it does is remove spaces and comments. That seems to be sufficiently competitive, within a low percent, with online minifiers. Here's a comparison on a couple of large css files. Numbers are in bytes:


|minifier|facebook.css|bootstrap.css|
|:---|:---:|---:|
|none|523,118|195,704|
|cssMinfier.exe|399,570|160,314|
|www.cssminifier.com|390,346|155,587|
|www.giftofspeed.com|390,011|155,473|
|www.minifier.org|389,309|155,928|
|www.css-minifier.com|381,848|156,476|



## Requirements

Any C(++) compiler will do, no dependencies. I provide a Visual Studio 2019 solution for convenience, but the project is single file.

## License

[WTFPL license](https://en.wikipedia.org/wiki/WTFPL)

## Credits

[Inigo Quilez](https://iquilezles.org)
